Moodle

Descubre si tu plataforma Moodle está en peligro y cómo solucionarlo

Escrito por María Martínez en 10 de marzo de 2021

Una de las ventajas de actualizar Moodle es poder aplicar a nuestro entorno todas las mejoras y nuevas funcionalidades que se hayan incluido en la última versión, pero este no es el motivo más importante. Mantener nuestra plataforma Moodle actualizada es una necesidad para tener un sitio estable y seguro para nuestras formaciones.

A veces, por desconocimiento, los usuarios no actualizan sus plataformas cuando deberían, quedándose fuera de soporte para correcciones de seguridad. Esto en muchas ocasiones conlleva vulnerabilidades, pues el LMS queda expuesto a más ataques, pérdidas de información e incluso puede llegar a perderse la plataforma por completo, incluyendo todos los datos.

Soporte de seguridad de Moodle

Si quieres identificar si tu plataforma aún tiene soporte de seguridad, lo primero que tienes que hacer es conocer su versión de Moodle. Si no la conoces, aquí te mostramos cómo hacerlo:

  1. Dentro de tu plataforma, accede a Administración del sitio
  2. Una vez ahí, accede a Notificaciones y revisa el texto que incluimos en la imagen⬇️.

En el siguiente cuadro puedes ver si tu versión de Moodle (únicamente los dos primeros números, ejemplo Moodle 3.9) se encuentra en una versión estable y, en caso de que así sea, cuándo sale de soporte de seguridad. 

De esta tabla podemos extraer una serie de conclusiones interesantes. Estas pueden resultar de gran ayuda, no solo a la hora de conocer si nuestra plataforma se encuentra en una versión estable, sino también para escoger la versión de Moodle que se mantenga en soporte durante más tiempo.

Versiones de Moodle fuera y dentro de soporte

Entonces, ¿cuáles son las versiones de Moodle que están a punto de salir de soporte?

  • Las versiones de Moodle anteriores a 3.5, quedaron fuera de soporte hace tiempo y por tanto es muy importante actualizar inmediatamente.
  • Las versiones Moodle 3.6 y 3.7 también se encuentran fuera de soporte
  • Las versiones Moodle 3.5 y 3.8 actualmente tienen soporte de seguridad, pero acaba el día 10 de mayo de 2021. Por lo que si tu plataforma tiene cualquiera de estas dos versiones, te aconsejamos que comiences a planificar una actualización

Por tanto, las versiones 3.9 y 3.10 se plantean como las opciones más seguras a escoger actualmente, al menos hasta la salida en mayo de 2021 de la versión 3.11. Ahora bien, ¿cuáles son los pros y contras de cada una de ellas?

  • La versión Moodle 3.9 es LTS, esto quiere decir que tiene soporte a largo plazo, en este caso hasta el 8 de mayo de 2023. Es muy recomendable utilizar versiones LTS ya que nos permite tener nuestra plataforma estable durante más tiempo sin necesidad de aplicar tantas actualizaciones de versión. 
  • Pero si no te conformas con que tu plataforma sea estable, sino que además quieres estar a la última en cuanto a novedades de Moodle, puedes optar por instalar una versión Moodle 3.10, la cual tiene soporte de seguridad hasta el 9 de mayo de 2022

Dicho esto, la decisión es tuya. Asegúrate de comprobar cuál es tu versión de Moodle para conocer con precisión su estado de seguridad; y en caso de que esté a punto de salir de soporte, calibra cuál de las versiones existentes te compensa más, tanto a ti como a tus equipos. 

Keep calm and have a safe version of Moodle!